Bootstrap
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/bootstrap \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/bootstrap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": null,
"organisation": null,
"memoryAggregate": null,
"toolsNotes": null,
"bootstrap": {
"completed": false,
"template": "Welcome! Let's set up."
}
},
"userProfile": null,
"userTimezone": null,
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}agent-config
Bootstrap
Read bootstrap state.
GET
/
agent-config
/
bootstrap
Bootstrap
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/bootstrap \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/bootstrap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": null,
"organisation": null,
"memoryAggregate": null,
"toolsNotes": null,
"bootstrap": {
"completed": false,
"template": "Welcome! Let's set up."
}
},
"userProfile": null,
"userTimezone": null,
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.